import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 18.12.2011
  * @author
  */

public class quadrat extends JFrame {
  // Anfang Attribute
  private Panel panel1 = new Panel(null);
    private Button button1 = new Button();
    private Button button2 = new Button();
  private Turtle turtle1 = new Turtle(100, 100);
  // Ende Attribute

  public quadrat(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 303; 
    int frameHeight = 306;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    setResizable(true);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    panel1.setBounds(0, 0, 305, 41);
    panel1.setBackground(new Color(0xC0C0C0));
    panel1.addHierarchyBoundsListener(new HierarchyBoundsAdapter() { 
      public void ancestorResized(HierarchyEvent evt) { 
        panel1_AncestorResized(evt);
      }
    });
    cp.add(panel1);
    button1.setBounds(8, 8, 97, 25);
    button1.setLabel("Zeichnen");
    button1.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        button1_ActionPerformed(evt);
      }
    });
    panel1.add(button1);
    turtle1.setBounds(0, 40, 305, 241);
    turtle1.setBackground(Color.WHITE);
    turtle1.addHierarchyBoundsListener(new HierarchyBoundsAdapter() { 
      public void ancestorResized(HierarchyEvent evt) { 
        turtle1_AncestorResized(evt);
      }
    });
    cp.add(turtle1);
    button2.setBounds(120, 8, 89, 25);
    button2.setLabel("Lschen");
    button2.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        button2_ActionPerformed(evt);
      }
    });
    panel1.add(button2);
    turtle1.setBounds(304, 40, 60, 84);
    setTitle("Turtle-Intro");
    // Ende Komponenten

    setVisible(true);
  }

  // Anfang Methoden
  public void button1_ActionPerformed(ActionEvent evt) {
    turtle1.drawDynamic = true;
    turtle1.sleepTime = 250;
    turtle1.move(-50);
    for (int i = 0; i < 4; i++) {
      turtle1.draw(100);
      turtle1.turn(90);
    }
  }

  public void button2_ActionPerformed(ActionEvent evt) {
    turtle1.clear();
  }
  
  public void panel1_AncestorResized(HierarchyEvent evt) {
    panel1.setBounds(0, 0, getWidth(), 50);
  }
  
  public void turtle1_AncestorResized(HierarchyEvent evt) {
    turtle1.setBounds(0, 50, getWidth(), getHeight() - 50);
  }

  // Ende Methoden
  
  public static void main(String[] args) {
    new quadrat("quadrat");
  }
  
}